## org.eclipse.emf.codegen.merge.java
Class JControlModel.SortRule

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.JControlModel.SortRule

Direct Known Subclasses:
  JControlModel.SortRule

Enclosing class:
  JControlModel

    public static class JControlModel.SortRule

extends java.lang.Object

The sort rule is used to ensure that the order of the attributes as declared on the source is respected As usual you need to specify a Dictionary Pattern to identify the attributes that should be treated. Here's an example:

       <merge:sort markup="^ordered$" select="Member"/>

Field Summary
`protected java.lang.String` `classPrefix`
`protected java.util.regex.Pattern` `markup`
`protected java.lang.String` `name`
`protected java.lang.Class<?>` `selector`

Constructor Summary
`JControlModel.SortRule(java.lang.String classPrefix)`
`JControlModel.SortRule(java.lang.String classPrefix, org.w3c.dom.Element element)`

Method Summary
`java.lang.String` `getClassPrefix()`
`java.util.regex.Pattern` `getMarkup()`
`java.lang.String` `getName()`
`java.lang.Class<?>` `getSelector()`
`void` `initialize(org.w3c.dom.Element element)`
`protected void` `setClassPrefix(java.lang.String classPrefix)`
`void` `setMarkup(java.util.regex.Pattern markup)`
`void` `setName(java.lang.String name)`
`void` `setSelector(java.lang.Class<?> selector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### selector

    protected java.lang.Class<?> selector

### markup

    protected java.util.regex.Pattern markup

### classPrefix

    protected java.lang.String classPrefix

Constructor Detail

### JControlModel.SortRule

    public JControlModel.SortRule(java.lang.String classPrefix)

### JControlModel.SortRule

    public JControlModel.SortRule(java.lang.String classPrefix,
                                  org.w3c.dom.Element element)

Method Detail

### initialize

    public void initialize(org.w3c.dom.Element element)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getSelector

    public java.lang.Class<?> getSelector()

### setSelector

    public void setSelector(java.lang.Class<?> selector)

### getMarkup

    public java.util.regex.Pattern getMarkup()

### setMarkup

    public void setMarkup(java.util.regex.Pattern markup)

### setClassPrefix

    protected void setClassPrefix(java.lang.String classPrefix)

### getClassPrefix

    public java.lang.String getClassPrefix()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.